/* Basic styling for the body */
body {
    font-family: Arial, sans-serif;
    background-color: #f4f7f6;
    color: #333;
    margin: 0;
    padding: 0;
}

/* Styling for the header */
header {
    background-color: #333;
    color: white;
    padding: 1rem;
    text-align: center;
}

header nav a {
    color: white;
    text-decoration: none;
    font-weight: bold;
    margin: 0 1rem;
}

header nav a:hover {
    text-decoration: underline;
}

/* Main container styling */
main {
    padding: 2rem;
    max-width: 800px;
    margin: 0 auto;
    background-color: white;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
}

/* Heading styles */
h1, h2 {
    color: black;
    margin-bottom: 1rem;
}

h1 {
    font-size: 2.5rem;
    border-bottom: 2px solid black;
    padding-bottom: 0.5rem;
}

h2 {
    font-size: 2rem;
    margin-top: 2rem;
}

/* Links */
a {
    color: blue;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

/* Buttons */
button {
    background-color: black;
    color: white;
    border: none;
    padding: 0.5rem 1rem;
    border-radius: 5px;
    font-size: 1rem;
    cursor: pointer;
}

button:hover {
    background-color: #0056b3;
}

/* Table styling */
table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 1rem;
    font-size: 1rem;
}

thead {
    background-color: black;
    color: white;
}

thead th {
    padding: 0.75rem;
    text-align: left;
}

tbody tr:nth-child(even) {
    background-color: #f2f2f2;
}

tbody td {
    padding: 0.75rem;
    border: 1px solid #ddd;
}

/* Task link styling */
tbody td a {
    color: black;
}

tbody td a:hover {
    text-decoration: underline;
}

/* Margin for paragraphs */
p {
    margin-bottom: 1rem;
}

/* Add spacing to form elements */
form {
    margin-top: 1.5rem;
}

form button {
    margin-top: 1rem;
}
